Package org.thymeleaf.extras.springsecurity5.util

## Class SpringVersionSpecificUtils

- Object
- - org.thymeleaf.extras.springsecurity5.util.SpringVersionSpecificUtils

-     public final class SpringVersionSpecificUtils
      extends Object

  Since:
    2.1.1
  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.servlet.http.HttpServletRequest` | `getHttpServletRequest​(org.thymeleaf.context.IContext context)` |
    `static javax.servlet.http.HttpServletResponse` | `getHttpServletResponse​(org.thymeleaf.context.IContext context)` |
    `static org.springframework.web.server.ServerWebExchange` | `getServerWebExchange​(org.thymeleaf.context.IContext context)` |
    `static boolean` | `isWebContext​(org.thymeleaf.context.IContext context)` |
    `static boolean` | `isWebFluxContext​(org.thymeleaf.context.IContext context)` |
    `static boolean` | `isWebMvcContext​(org.thymeleaf.context.IContext context)` |
    `static org.springframework.expression.EvaluationContext` | `wrapEvaluationContext​(org.springframework.expression.EvaluationContext evaluationContext, org.thymeleaf.expression.IExpressionObjects expresionObjects)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### wrapEvaluationContext

          public static org.springframework.expression.EvaluationContext wrapEvaluationContext​(org.springframework.expression.EvaluationContext evaluationContext,
                                                                                               org.thymeleaf.expression.IExpressionObjects expresionObjects)

    - #### isWebContext

          public static boolean isWebContext​(org.thymeleaf.context.IContext context)

    - #### isWebMvcContext

          public static boolean isWebMvcContext​(org.thymeleaf.context.IContext context)

    - #### isWebFluxContext

          public static boolean isWebFluxContext​(org.thymeleaf.context.IContext context)

    - #### getHttpServletRequest

          public static javax.servlet.http.HttpServletRequest getHttpServletRequest​(org.thymeleaf.context.IContext context)

    - #### getHttpServletResponse

          public static javax.servlet.http.HttpServletResponse getHttpServletResponse​(org.thymeleaf.context.IContext context)

    - #### getServerWebExchange

          public static org.springframework.web.server.ServerWebExchange getServerWebExchange​(org.thymeleaf.context.IContext context)